Archivos diarios: Agosto 10, 2017

Tails 3.1 Disponible

Ya se puede descargar Tails 3.1, nueva versión de esta distribución GNU/Linux que nos permite navegar de forma anónima y segura, en gran parte gracias a la tecnología del proyecto Tor.

Es una actualización que resuelve varios problemas de seguridad, por lo que se recomienda su descarga y actualización lo antes posible. Recordamos que Tails es una distro que se usa en modo live con o sin persistencia, derivada de Debian 9 Stretch y con un escritorio GNOME Shell 3.22 personalizado a lo clásico.

Tails 3.1 llega con la última edición de Tor Browser 7.0.4, ahora basado en Firefox 52.3.0esr y Tor 0.3.0.10, y con algunas de sus extensiones actualizadas:

  • Tortutton 1.9.7.5: botón en la barra de tareas que nos permite crear una nueva identidad, establecer nuestras preferencias de privacidad, modificar los niveles de seguridad o jugar con las conexiones de red.
  • HTTPS-EveryWhere 5.2.21: extensión que obliga a la navegación mediante cifrado HTTPS en aquellos sitios que así lo provean.
  • No Script 5.0.8.1: botón en la barra de tareas que nos permite crear una nueva identidad, establecer nuestras preferencias de privacidad, modificar los niveles de seguridad o jugar con las conexiones de red.
  • Tor Launcher 0.2.12.3: complemento que nos ayuda a descargar y actualizar el navegador.

También nos encontramos una actualización del kernel en Tails 3.1, se trata de Linux LTS 4.9.30-2+deb9u3.

En cuanto, a los agujeros de seguridad solucionados concernían a versiones anteriores del navegador (Tor Browser), la biblioteca libtiff (sirve para trabajar con imágenes TIFF), el servidor de DNS bind9, el visor de documentos Evince, el kernel Linux y el software para imágenes bitmap ImageMagick.

Además se han solucionado unos cuantos errores como el que afectaba al cliente de correo electrónico Thunderbird en su gestión de los archivos temporales, o la traducción de determinadas notificaciones (estatus de Tor y sincronización horaria) a otros idiomas, aparte del inglés.

Desde su edición 3.0, Tails se distribuye exclusivamente para arquitecturas de ordenador de 64 bits. Se puede actualizar automáticamente desde esa edición a 3.1, pero no desde Tails 3.0.1 (debido a un bug, habría que hacerlo de forma manual).

En cualquier caso, lo más sencillo es descargarse la edición actual de Tails 3.1 desde su web, quemar un pendrive y a correr.

Fuente

RPCS3: Emulador de Play station3 en Ubuntu

RPCS3 es un emulador y depurador de código abierto escrito en C ++ para Windows y Linux. El emulador es capaz de arrancar y jugar cientos de juegos comerciales. Con cada contribución y donación, cada vez más juegos se están acercando cada vez más a la jugabilidad perfecta.

RPCS3 fue fundada por los programadores DH y Hykem. Los desarrolladores inicialmente recibieron el proyecto en Google Code y finalmente lo trasladaron a GitHub más adelante en su desarrollo. Hoy es uno de los emuladores de consolas de videojuegos más complejos de todos los tiempos con un objetivo interminable para emular de manera efectiva la PlayStation de Sony 3 y en todos sus aspectos.

Cabe destacar que este software actualmente no cuenta con soporte para XWayland y que también es compatible con teclado y el DualShock 4.

RPCS3 ha conseguido duplicar los FPS gracias a que hace que no hace uso DirectX 12 y mejor utiliza la API Vulkan, mejorando el rendimiento notablemente en varios títulos, los creadores han compartido un vídeo donde podemos ver cómo funcionan diversos juegos, entre los que encontramos Catherine, Demon’s Souls, Atelier Ayesha: The Alchemist of Dusk, Ice Age: Dawn of the Dinosaurs, Digimon: All-Star Rumble y Tekken Tag Tournament HD.

¿Cómo instalar RPCS3 en Ubuntu 17.04?

El emulador cuenta con un instalador oficial, por lo que tenemos que dirigirnos a la web oficial del proyecto para descargarlo.

Solo tenemos que dar permisos al instalador, lo hacemos con el siguiente comando:

chmod a+x ./rpcs3-*_linux64.AppImage

Lista de compatibilidad: En caso de que requieran saber si el emulador es compatible con un juego se debe buscar si este es soportado por el emulador en la lista de compatibilidad que nos muestran los responsables del proyecto en este enlace.

Fuente